org.apache.ignite.spi.systemview.view

## Class BinaryMetadataView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.BinaryMetadataView

    public class BinaryMetadataView
    extends Object

`BinaryMetadata` representation for the `SystemView`.

### Constructor Summary

Constructors
Constructor and Description
`BinaryMetadataView(BinaryMetadata meta)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `affKeyFieldName()`
`String` `fields()`
`int` `fieldsCount()`
`boolean` `isEnum()`
`String` `schemasIds()`
`int` `typeId()`
`String` `typeName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryMetadataView

    public BinaryMetadataView(BinaryMetadata meta)

Parameters:
  `meta` - Meta.

### Method Detail

#### typeId

    public int typeId()

Returns:
  Type id.

#### typeName

    public String typeName()

Returns:
  Type name.

#### affKeyFieldName

    public String affKeyFieldName()

Returns:
  Affinity key field name.

#### fieldsCount

    public int fieldsCount()

Returns:
  Fields count.

#### fields

    public String fields()

Returns:
  Fields.

#### schemasIds

    public String schemasIds()

Returns:
  Schema IDs registered for this type.

#### isEnum

    public boolean isEnum()

Returns:
  `True` if this is enum type.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020